Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodetextnodetype Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodetextnodetype (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getNodeType()" method for a Text Node

returns the constant value 3.

Retrieve the Text node from the last child of

the first employee and invoke the "getNodeType()"

method. The method should return 3.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-111237558

Definition at line 51 of file nodetextnodetype.java.

## Constructor & Destructor Documentation

nodetextnodetype::nodetextnodetype | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 53 of file nodetextnodetype.java.
    00054  {
    00055       super(factory);
    00056
    00057    }

## Member Function Documentation

String nodetextnodetype::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 73 of file nodetextnodetype.java.
    00073                                 {
    00074       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodetextnodetype";
    00075    }

void nodetextnodetype::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 76 of file nodetextnodetype.java. References DOMTestCase::doMain().
    00076                                           {
    00077         DOMTestCase.doMain(nodetextnodetype.class,args);
    00078    }

void nodetextnodetype::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 59 of file nodetextnodetype.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00059                                                     {
    00060       Document doc;
    00061       NodeList elementList;
    00062       Element testAddr;
    00063       Node textNode;
    00064       int nodeType;
    00065       doc = load("staff");
    00066       elementList = doc.getElementsByTagName("address");
    00067       testAddr = (Element)elementList.item(0);
    00068       textNode = testAddr.getFirstChild();
    00069       nodeType = (int)textNode.getNodeType();
    00070       assertEquals("nodeTextNodeTypeAssert1",3,nodeType);
    00071
    00072    }

The documentation for this class was generated from the following file:

- nodetextnodetype.java